## visad.ss
Class SSCellImpl

    java.lang.Object
      visad.ActionImpl
          visad.CellImpl
              visad.ss.SSCellImpl

All Implemented Interfaces:
  Action, Cell, EventListener, Runnable, ThingChangedListener

public class SSCellImpl
extends CellImpl

A VisAD Cell which updates an SSCell when one of its Data objects change.

Field Summary
`static Real` `FALSE` VisAD Data object representing boolean false.
`static Real` `TRUE` VisAD Data object representing boolean true.

Fields inherited from class visad.CellImpl
``

Constructor Summary
`SSCellImpl(SSCellData cellData, DataReferenceImpl ref, String varName, boolean checkErrors)` Constructs an SSCellImpl.

Method Summary
`void` `doAction()` Invoked when linked data changes.
`(package private) String[]` `getErrors()` Returns the errors relevant to the linked data.
`boolean` `isInited()` Returns whether this cell has finished initializing.
`(package private) void` `skipNextErrors()` Disables detection of errors during next data update.
`(package private) void` `skipNextNotify()` Disables broadcasting of data changes during next data update.

Methods inherited from class visad.CellImpl
`getOtherReference, setOtherReference`

Methods inherited from class visad.ActionImpl
`addReference, checkTicks, disableAction, enableAction, findReference, getCurrentActionThread, getLinks, getName, removeAllReferences, removeReference, run, setEnabled, setName, setThreadPoolMaximum, stop, stopThreadPool, thingChanged, waitForTasks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface visad.Action
`addReference, getName, removeAllReferences, removeReference`

Methods inherited from interface visad.ThingChangedListener
`thingChanged`

Field Detail

### TRUE

    public static final Real TRUE

  VisAD Data object representing boolean true.

### FALSE

    public static final Real FALSE

  VisAD Data object representing boolean false.

Constructor Detail

### SSCellImpl

    public SSCellImpl(SSCellData cellData,
                      DataReferenceImpl ref,
                      String varName,
                      boolean checkErrors)
               throws VisADException,
                      RemoteException

  Constructs an SSCellImpl.

Method Detail

### isInited

    public boolean isInited()

  Returns whether this cell has finished initializing.

### getErrors

    String[] getErrors()

  Returns the errors relevant to the linked data.

### skipNextNotify

    void skipNextNotify()

  Disables broadcasting of data changes during next data update.

### skipNextErrors

    void skipNextErrors()

  Disables detection of errors during next data update.

### doAction

    public void doAction()

  Invoked when linked data changes.

  Specified by:
    `doAction` in class `CellImpl`